Wan 3.0 Text to Video
انٹیگریٹ کریں
alibaba/wan-3.0/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/alibaba/wan-3.0/text-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/alibaba/wan-3.0/text-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/alibaba/wan-3.0/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ur/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "alibaba/wan-3.0/text-to-video",
"input": {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}
}
Doitong API کے ذریعے Wan 3.0 Text to Video ماڈل (alibaba/wan-3.0/text-to-video) کو کال کریں۔ ایجنٹس کے لیے دستاویزات: https://doitong.com/ur/developers/models/alibaba/wan-3.0/text-to-video.md
POST https://api.doitong.ru/v1/run/alibaba/wan-3.0/text-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}
اگر جواب کی اسٹیٹس "queued" یا "running" ہو تو GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 کو اس وقت تک پول کریں جب تک یہ "succeeded" نہ ہو جائے؛ فائلیں outputs[].url میں ہیں۔ رن سے پہلے درست قیمت حاصل کرنے کے لیے اسی باڈی کے ساتھ POST https://api.doitong.ru/v1/quote/alibaba/wan-3.0/text-to-video کریں۔
یہ درخواست: $0.25 250 API کریڈٹس · ≈ ₽26.89 اس صفحے پر چلائیں
آپ کی نئی API کلید۔ یہ صرف ابھی دکھائی جاتی ہے اور پہلے ہی نیچے موجود کوڈ اور API کلید کے فیلڈ میں شامل ہے۔ اسے خفیہ رکھیں: اسے کبھی بھی ایسے کوڈ میں شامل نہ کریں جو براؤزر میں چلتا ہو۔
مثالیں
درخواست بنائیں
کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔
/run/alibaba/wan-3.0/text-to-video?wait=20
قیمت → $0.25
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/alibaba/wan-3.0/text-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/alibaba/wan-3.0/text-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/alibaba/wan-3.0/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "alibaba/wan-3.0/text-to-video",
"input": {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
},
"wait_seconds": 20
}
}
}
یہ درخواست چلائیں
آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں
Doitong پر بنایا گیا
Doitong کمیونٹی کے Wan 3.0 سے بنائے گئے عوامی کام۔ ایک کلک میں پرامپٹ دوبارہ استعمال کریں۔
ویڈیو
Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, весёлый водитель в кепке, крупные машины, пастельные цвета. 0:00–0:10 приветствие под музыку; 0:10–0:30 песенка: "Машина едет би-би, би-би", "Поезд едет ту-ту, ту-ту". Бодрая детская музыка...
ویڈیو
Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, тот же весёлый водитель в кепке, самолёт. 0:00–0:15 песенка: "Самолёт летит вж-ж-ж, вж-ж-ж"; 0:15–0:25 интерактивная пауза: водитель спрашивает "Как гудит машина?", пауза; 0:25–0:30 финальный...
ویڈیو
# PROMPT: Animated Mother’s Day greeting card **Format:** vertical video 9:16 **Duration:** 12–15 seconds **Style:** high‑quality Pixar‑inspired 3D animation, cinematic, warm, emotional, charming animated movie aesthetic. ### The main character is a child Use the attached image as the only and...
Wan 3.0 Text to Video کے بارے میں
Wan 3.0 ایک پرامپٹ سے 2 سے 30 سیکنڈ تک کے طویل، مربوط شاٹس رینڈر کرتا ہے، جس میں ڈیفالٹ طور پر آڈیو تخلیق ہوتی ہے۔ ایک اختیاری ریزننگ سٹیپ پیچیدہ مناظر کی منصوبہ بندی کرتا ہے، اور پرامپٹ ایکسپینشن ڈیفالٹ طور پر آن ہے۔ چھ اسپیکٹ ریشوز یا ایڈاپٹیو فریمنگ میں 480p، 720p یا 1080p۔
پیرامیٹرز
معیاری نام یا مقامی نام میں سے صرف ایک بھیجیں، دونوں نہیں۔ معیاری نام
promptلازمی
resolutionاختیاری
aspect_ratioاختیاری
durationاختیاری
audioاختیاری
generate_audio
enable_prompt_expansionاختیاری
enable_thinkingاختیاری
seedاختیاری
آؤٹ پٹ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "alibaba/wan-3.0/text-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 250,
"usd": "0.25",
"charged": 250,
"refunded": 0
},
"input": {
"prompt": "A red panda walks through a bamboo forest at sunrise, mist between the stalks, gentle handheld camera",
"duration": 5,
"resolution": "720p"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200,
"width": 1024,
"height": 768,
"fps": 1.0,
"duration": 5,
"num_frames": 1
},
"seed": 42,
"duration": 5,
"actual_prompt": "string"
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
آؤٹ پٹ کے فیلڈز
- video
- object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}تخلیق سے تیار کردہ ویڈیو فائل۔
- seed
- integerتخلیق کے دوران لاگو ہونے والی سیڈ قدر۔
- duration
- numberتخلیق کردہ ویڈیو کی لمبائی، سیکنڈ میں۔
- actual_prompt
- string | null
دیگر Wan 3.0 ورژنز
مزید ماڈلز: متن سے ویڈیو
AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/alibaba/wan-3.0/text-to-video.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt